cURL
curl "https://reygrid.com/api/v1/agents/{AgentId}/conversations?page=1&size=20" \
-H "Authorization: Bearer $REYGRID_API_KEY"from reygrid import ReyGrid
client = ReyGrid(api_key="YOUR_API_KEY")
for page in client.paginate_conversations("{AgentId}"):
for convo in page.data:
print(convo.conversationId or convo.userId, convo.messagesCount)import { ReyGrid } from "reygrid";
const client = new ReyGrid({ apiKey: "YOUR_API_KEY" });
for await (const page of client.paginateConversations("{AgentId}").pages()) {
for (const convo of page.data) console.log(convo.conversationId ?? convo.userId, convo.messagesCount);
}{
"success": true,
"conversations": [
{
"userId": "user_42",
"messagesCount": 14,
"createdAt": "2026-10-04T08:15:02.000Z",
"expiresAt": "2026-10-19T08:15:02.000Z"
},
{
"conversationId": "conv_cCJ7WLoKF4Sd4d2vjv8k",
"messagesCount": 2,
"createdAt": "2026-10-02T12:10:42.525Z",
"expiresAt": "2026-10-17T12:10:42.522Z"
}
],
"pagination": {
"totalConversations": 54,
"totalPages": 3,
"currentPage": 1,
"pagingCounter": 1,
"hasNextPage": true
}
}{
"error": "Unauthorized",
"code": "AUTH_REQUIRED"
}Conversations
List agent conversations
Returns a paginated list of conversations belonging to the agent.
GET
/
agents
/
{agentId}
/
conversations
cURL
curl "https://reygrid.com/api/v1/agents/{AgentId}/conversations?page=1&size=20" \
-H "Authorization: Bearer $REYGRID_API_KEY"from reygrid import ReyGrid
client = ReyGrid(api_key="YOUR_API_KEY")
for page in client.paginate_conversations("{AgentId}"):
for convo in page.data:
print(convo.conversationId or convo.userId, convo.messagesCount)import { ReyGrid } from "reygrid";
const client = new ReyGrid({ apiKey: "YOUR_API_KEY" });
for await (const page of client.paginateConversations("{AgentId}").pages()) {
for (const convo of page.data) console.log(convo.conversationId ?? convo.userId, convo.messagesCount);
}{
"success": true,
"conversations": [
{
"userId": "user_42",
"messagesCount": 14,
"createdAt": "2026-10-04T08:15:02.000Z",
"expiresAt": "2026-10-19T08:15:02.000Z"
},
{
"conversationId": "conv_cCJ7WLoKF4Sd4d2vjv8k",
"messagesCount": 2,
"createdAt": "2026-10-02T12:10:42.525Z",
"expiresAt": "2026-10-17T12:10:42.522Z"
}
],
"pagination": {
"totalConversations": 54,
"totalPages": 3,
"currentPage": 1,
"pagingCounter": 1,
"hasNextPage": true
}
}{
"error": "Unauthorized",
"code": "AUTH_REQUIRED"
}Authorizations
ReyGrid API key sent as a Bearer token.
Path Parameters
The ID of the agent.
Query Parameters
Page number.
Required range:
x >= 1Number of items per page.
Required range:
1 <= x <= 100